GRID-MAPFILE-CHECK(8)

NAME
grid-mapfile-check-consistency - Add an entry to a grid map file

SYNOPSIS

grid-mapfile-check-consistency [ -h | -help | -usage | -version | -versions ]

grid-mapfile-check-consistency [ -mapfile MAPFILE | -f MAPFILE ]

DESCRIPTION

The grid-mapfile-check-consistency program performs basic checks for validity of a gridmap file. These checks include checks for existence, duplication of entries, and valid local user names. If the gridmap file is valid, grid-mapfile-check-consistency exits with a zero exit code, otherwise it exits with a non-zero exit code. In either case, it displays information about its progress as it parses and validates the gridmap file.

By default, grid-mapfile-check-consistency will check the gridmap file named by the GRIDMAP environment variable if present. If that variable is not set, it will check the file $HOME/.gridmap for non-root users if present. If that doesn’t exist or grid-mapfile-check-consistency is run as root, it will then check /etc/grid-security/grid-mapfile. This can be changed by the use of the -mapfile or -f command-line options.

The full set of command-line options to grid-mapfile-check-consistency are:

-h, -help, -usage
    Display the command-line options to grid-mapfile-check-consistency.

-version, -versions
    Display the version number of the grid-mapfile-check-consistency command.

-mapfile MAPFILE, -f MAPFILE
    Check the gridmap file named by MAPFILE instead of the default.

EXAMPLES

Check that the gridmap file in /etc/grid-security is valid:

    % grid-mapfile-check-consistency* -f /etc/grid-security/grid-mapfile
    Checking /etc/grid-security/grid-mapfile
    Verifying grid mapfile existence...OK
    Checking for duplicate entries...OK
    Checking for valid user names...OK

Check a gridmap file that has an invalid local user name:

    grid-mapfile-check-consistency -f /etc/grid-security/grid-mapfile
    Checking /etc/grid-security/grid-mapfile
    Verifying grid mapfile existence...OK
    Checking for duplicate entries...OK
    ERROR: baduser is not a valid local username
    ERROR: Found 1 invalid username(s)

ENVIRONMENT

The following environment variables affect the execution of grid-mapfile-check-consistency:

GRIDMAP
    Path to the gridmap to check.

FILES

The following files affect the execution of grid-mapfile-check-consistency:

$HOME/.gridmap
    Path to the default gridmap to check if the GRIDMAP environment variable is not set for non-root users.

/etc/grid-security/grid-mapfile
    Path to the default gridmap to check if GRIDMAP environment variable is not set and the above file does not exist.

SEE ALSO

grid-mapfile-add-entry(8), grid-mapfile-delete-entry(8)

AUTHOR

Copyright © 1999-2016 University of Chicago